#ifndef MISSION_H
#define MISSION_H

#include "networld.h"
#include "player.h"

struct Str_Mission{
    bool (*mission)(NetWorld*, Player*, const int, const int);
    int playerID;
    int target;
    char* displayText;
};

typedef struct Str_Mission Mission;

Mission * Mission_init(const int playerID, NetWorld * world);

bool Mission_check(Mission * self, NetWorld * world, Player * players);

void Mission_delete(Mission * self);

Mission * Mission_newArray(const int playerCount, NetWorld * world);

#endif